Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.j2ee
Class ContainerManagedMethodChecker

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
          com.puppycrawl.tools.checkstyle.checks.j2ee.BeanMethodChecker
              com.puppycrawl.tools.checkstyle.checks.j2ee.EntityBeanMethodChecker
                  com.puppycrawl.tools.checkstyle.checks.j2ee.ContainerManagedMethodChecker

public class ContainerManagedMethodChecker
extends EntityBeanMethodChecker

Checks methods of entity beans with container-managed persistence. Reference: Enterprise JavaBeansTM Specification,Version 2.0, Chapter 10

Author:
  Rick Giles

Constructor Summary
`ContainerManagedMethodChecker(EntityBeanCheck aCheck)` Constructs a ContainerManagedMethodChecker for a entity bean check.

Method Summary
`protected void` | `checkCreateMethod(DetailAST aMethodAST)` Checks whether an ejbCreate<METHOD>(...) method of an entity bean satisfies requirements.
`void` | `checkMethod(DetailAST aMethodAST)` Checks whether a method satisfies component requirements.
`protected void` | `checkSelectMethod(DetailAST aMethodAST)` Checks whether an ejbSelect<METHOD>(...) method of an entity bean satisfies requirements.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.EntityBeanMethodChecker
`checkCreateMatch, checkHomeMethod, checkMethods, checkPostCreateMethod`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
`checkMethod, checkNotThrows, checkThrows, getCheck, log, logName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerManagedMethodChecker

    public ContainerManagedMethodChecker(EntityBeanCheck aCheck)

  Constructs a ContainerManagedMethodChecker for a entity bean check.

Parameters:
  `aCheck` - the entity bean check.

Method Detail

### checkMethod

    public void checkMethod(DetailAST aMethodAST)

  Description copied from class: `MethodChecker`
  Checks whether a method satisfies component requirements.

  Overrides:
    `checkMethod` in class `EntityBeanMethodChecker`
  See Also:
    `MethodChecker`

### checkSelectMethod

    protected void checkSelectMethod(DetailAST aMethodAST)

  Checks whether an ejbSelect<METHOD>(...) method of an entity bean satisfies requirements.

  Parameters:
    `aMethodAST` - the AST for the method definition.

### checkCreateMethod

    protected void checkCreateMethod(DetailAST aMethodAST)

  Checks whether an ejbCreate<METHOD>(...) method of an entity bean satisfies requirements.

  Overrides:
    `checkCreateMethod` in class `EntityBeanMethodChecker`
  Parameters:
    `aMethodAST` - the AST for the method definition.
  See Also:
    `BeanMethodChecker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD